db4o |

# Configuration.OptimizeNativeQueries Method (Boolean)

If set to true, db4o will try to optimize native queries dynamically at query execution time, otherwise it will run native queries in unoptimized mode as SODA evaluations.

void OptimizeNativeQueries(
bool optimizeNQ
);

#### Parameters

optimizeNQ
  true, if db4o should try to optimize native queries at query execution time, false otherwise

#### Remarks

If set to true, db4o will try to optimize native queries dynamically at query execution time, otherwise it will run native queries in unoptimized mode as SODA evaluations. On the Java platform the jars needed for native query optimization (db4o-X.x-nqopt.jar, bloat-X.x.jar) have to be on the classpath at runtime for this switch to have effect.
The default setting is

    true

.

#### See Also

Configuration Interface | com.db4o.config Namespace | Configuration.OptimizeNativeQueries Overload List